routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

 // Route::get('/','HomeController@home');
  Route::get('/',function(){
 	 return view('hasen');
  });

Route::match(['get','post'],'/LogIn','LoginController@LoginControl')->name('Login')->middleware('throttle:3,1');
Route::get('home','HomeController@home')->name('Home');

/* Routes Accessible By Registerar */

Route::prefix('Registerars')->name('Registerar.')->middleware('Registerar')->group(function(){

	Route::get('{id}/LogOut','Registerar\LogOutController@LOgOut')->name('LogOut');
	Route::get('{id}/Profile','Registerar\ProfileController@ShowProfile')->name('Profile');
	Route::get('/Add_Patient','Registerar\PatientController@Add')->name('Add_Patient');
	Route::get('{id}/Search_Patient','Registerar\PatientController@Search_Patient')->name('Search_Patient');
	Route::get('{id1}/Send_Patient/{id2}','Registerar\PatientController@Send_Patient')->name('Send_Patient');
	Route::get('{id}/ChangeProfile','Common\ChangeProfileController@Index')->name('ChangeProfile');
	Route::post('{id}/UpdateProfile','Common\ChangeProfileController@UpdateProfile')->name('UpdateProfile');
	Route::get('{id}/UpdateImage','Common\ChangeProfileController@Show_Update_plate')->name('UpdateImage');
	Route::post('{id}/ImageUpdated','Common\ChangeProfileController@ImageUpdated')->name('ImageUpdated');
	Route::get('{id}/Show_Password_Template','Common\ChangeProfileController@Show_Password_Template')->name('Show_Password_Template');
	Route::post('{id}/ChangePassword','Common\ChangeProfileController@ChangePassword')->name('ChangePassword');
	
});

/* Routes Accessible By Doctors */
Route::prefix('Doctors')->name('Doctors.')->middleware('Doctors')->group(function(){
	Route::get('{id}/LogOut','Doctors\LogOutController@LogOut')->name('LogOut');

	Route::get('{id}/Profile','Doctors\ProfileController@ShowProfile')->name('Profile');

	Route::get('/SelectRoom','Common\RoomController@SelectRoom')->name('SelectRoom');

	Route::get('/Show_Patient_List','Doctors\PatientTaskController@Show_Patient_List')->name('Show_Patient_List');

	Route::get('{id1}/View_Patient_Data/{id2}','Doctors\PatientTaskController@View_Patient_Data')->name('View_Patient_Data');
	Route::get('{username}/Add_Patient_result/{clinic_id}','Doctors\PatientTaskController@Add_Patient_result')->name('Add_Patient_result');
	Route::post('{username}/Submit_Result/{clinic_id}','Doctors\PatientTaskController@Submit_Result')->name('Submit_Result');

	Route::get('{username}/Send_To_Phermacy/{clinic_id}','Doctors\PatientTaskController@Send_To_Phermacy')->name('Send_To_Phermacy');
	Route::get('Show_Medicine_Paper/{clinic_id}','Doctors\PatientTaskController@Show_Medicine_Paper')->name('Show_Medicine_Paper');
	Route::get('Labratory_Paper/{clinic_id}','Doctors\PatientTaskController@Labratory_Paper')->name('Labratory_Paper');
	Route::get('{doctor_id}/Send_To_Labratory/{clinic_id}','Doctors\PatientTaskController@Send_To_Labratory')->name('Send_To_Labratory');
	Route::get('Finish_Result/{clinic_id}','Doctors\PatientTaskController@Finish_Result')->name('Finish_Result');
	




});

/* Route Accessible By Phermacy */

Route::prefix('Phermacy')->name('Phermacy.')->middleware('Phermacy')->group(function(){
	Route::get('{id}/LogOut','Phermacy\LogOutController@LogOut')->name('LogOut');
	Route::get('{id}/Profile','Phermacy\ProfileController@ShowProfile')->name('Profile');
	Route::get('/SelectRoom','Common\RoomController@SelectRoom')->name('SelectRoom');
	Route::get('Show_Patient_List','Phermacy\PatientTaskController@Show_Patient_List')->name('Show_Patient_List');
	Route::get('/Show_Medical_Instruction/{clinic_id}','Phermacy\PatientTaskController@Show_Medical_Instruction')->name('Show_Medical_Instruction');
	Route::get('Finish_Patient/{clinic_id}','Phermacy\PatientTaskController@Finish_Patient')->name('Finish_Patient');

});

/* Route Accessible By Laboatorist */
Route::prefix('Labratory')->name('Labratory.')->middleware('Labratory')->group(function(){
	Route::get('{id}/LogOut','Labratory\LogOutController@LogOut')->name('LogOut');
	Route::get('{id}/Profile','Labratory\ProfileController@ShowProfile')->name('Profile');
	Route::get('/SelectRoom','Common\RoomController@SelectRoom')->name('SelectRoom');
	Route::get('/Show_Patient_List','Labratory\PatientTaskController@Show_Patient_List')->name('Show_Patient_List');
	Route::get('{username}/Show_Patient_Data/{clinic_id}','Labratory\PatientTaskController@Show_Patient_Data')->name('Show_Patient_Data');
	Route::get('{username}/Finish/{clinic_id}','Labratory\PatientTaskController@Finish')->name('Finish');
	Route::get('{username}/Add_Patient_Result/{clinic_id}','Labratory\PatientTaskController@Add_Patient_Result')->name('Add_Patient_Result');
	Route::get('/{username}/Submit_Result/{clinic_id}','Labratory\PatientTaskController@Submit_Result')->name('Submit_Result');

});

app/Doctors.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\Doctors as Authenticatable;
class Doctors extends Authenticatable
{
    public $table='Doctors';
    protected $keyType='char';
    public $incrementing=false;
    protected $primaryKey='username';
    protected $hidden=[
    'username','password','remember_token'
    ];

    protected $fillable=[
    'full_name','username','email','password','age','sex','graduated_college_university','photo','graduated_area','Graduated_status'
    ];
    
   
}

app/Http/Controllers/Doctors/LogOutController.php
<?php

namespace App\Http\Controllers\Doctors;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Doctors;
class LogOutController extends Controller
{
    public function LogOut(){
        $active=Doctors::find(Auth::guard('Doctors')->user()->username);
        $active->active=0;
        $active->save();
    	Auth::guard('Doctors')->logout();
    	return redirect('/')->with('Success','Sign Out Successfully');
    }
}

app/Http/Controllers/Doctors/PatientTaskController.php
<?php

namespace App\Http\Controllers\Doctors;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Controllers\Clinic\RoomController;
use App\Http\Controllers\Clinic\Patient_data_controller;
use App\Patient\SendPatient;
use App\Patient\AddPatient;
use App\CommonModel\Daily_Phermacy;
use App\CommonModel\Daily_labratory;
use App\Http\Controllers\Clinic\AdditionalController;
use Illuminate\Support\Carbon;
use App\Doctors;
class PatientTaskController extends Controller
{   

   

    public function Show_Patient_List(){
     $Patient=app('App\Http\Controllers\Clinic\PatientListController',['Doctors']);
     $patient_number=app('App\Http\Controllers\Clinic\RoomController',['Doctors']);
     $patient_number=$patient_number->number_of_patient;
     $Patient_List=$Patient->Patient_List;
     return view('Doctors.PatientList',['Patient_List'=>$Patient_List,'patient_number'=>$patient_number]);

    }

    public function View_Patient_Data($id1,$id2){
        
    	$patient_info=AddPatient::find($id2);
    	$doctor_info=Doctors::find($id1);
	    $patient_data=SendPatient::where('patient_id',$id2)->whereNotNull('patient_result')->get();
        

		$patient_number=app('App\Http\Controllers\Clinic\RoomController',['Doctors']);
	    $patient_number=$patient_number->number_of_patient;
        
    	return view('Doctors.ShowPatientData',['patient_number'=>$patient_number,'patient_data'=>$patient_data,'patient_info'=>$patient_info,'doctor_info'=>$doctor_info]);
    }

    public function Add_Patient_result($username,$clinic_id){
     $Patient=app('App\Http\Controllers\Clinic\PatientListController',['Doctors']);
     $patient_number=app('App\Http\Controllers\Clinic\RoomController',['Doctors']);
     $patient_number=$patient_number->number_of_patient;
     $Patient_List=$Patient->Patient_List;
       return view('Doctors.Add_Patient_result',['username'=>$username,'clinic_id'=>$clinic_id,'patient_number'=>$patient_number]);
       
    }

    public function Submit_Result(request $request,$username,$clinic_id){
    	$request->validate([
    		'Patient_Data'=>'required|string',
    	]);
        $save=SendPatient::create([
        'patient_id'=>$clinic_id,
        'doctor_id'=>$username,
        'patient_result'=>$request['Patient_Data']

        ]);

    	

    	if($save){
    		return redirect()->route('Doctors.Show_Patient_List')->with('Message_Success','Patient data  Added Successfully');
    	}
    	else {
    		return back()->with('Message_Warning','There is Data Base Error');
    	}


    }


    public function Show_Medicine_Paper($id){
        $patient_number=app('App\Http\Controllers\Clinic\RoomController',['Doctors']);
        $patient_number=$patient_number->number_of_patient;

        return view('Doctors.Show_Medicine_Paper',['patient_number'=>$patient_number,'clinic_id'=>$id]);
    }

    public function Send_To_phermacy(request $request,$doctor_id,$clinic_id){
        $count=Daily_Phermacy::where('clinic_id',$clinic_id)->whereDate('created_at',Carbon::today())->whereNull('mark')->whereNotNull('ins_fr_do_to_pher')->count();
        if ($count>0) {
            return redirect()->route('Doctors.Show_Patient_List')->with('Message_Warning','The Patient Is Already Send You Can Not Sent');
        }


        $request->validate(['medical_instruction'=>'required|string']);
        $patient_number=app('App\Http\Controllers\Clinic\RoomController',['Doctors']);
        $patient_number=$patient_number->number_of_patient;
        $age=AddPatient::find($clinic_id)->age;
        $room_value;
        if($age<15){
            $room_value=AdditionalController::Give_Phermacy_Room('children');
        }

        else{
            $room_value=AdditionalController::Give_Phermacy_Room('adult');
        }

        $save=Daily_Phermacy::create(['clinic_id'=>$clinic_id,'doctor_id'=>$doctor_id,'phermacy_room'=>$room_value,'ins_fr_do_to_pher'=>$request['medical_instruction']]);
        if($save)
         return redirect()->route('Doctors.Show_Patient_List')->with('Message_Success',"Sended To ".'  '.$room_value);
        else
        {
            return redirect()->route('Doctors.Show_Patient_List')->with('Message_Warning','There is Data base error');
        }
        


    }


    public function Labratory_Paper($clinic_id){
        
        $count=Daily_labratory::where('clinic_id',$clinic_id)->whereDate('created_at',Carbon::today())->whereNull('labratorist_mark')->whereNotNull('ins_fr_do_lab')->count();
        if ($count>0) {
            return redirect()->route('Doctors.Show_Patient_List')->with('Message_Warning','The Patient Is Already Send You Can Not Sent');
        }


        $patient_number=app('App\Http\Controllers\Clinic\RoomController',['Doctors']);
        $patient_number=$patient_number->number_of_patient;
        return view('Doctors.Labratory_Paper',['clinic_id'=>$clinic_id,'patient_number'=>$patient_number]);

    }


    public function Send_To_Labratory(request $request,$doctor_id,$clinic_id){
        $request->validate(['Labratory_Instruction'=>'required|string']);
        $age=AddPatient::find($clinic_id)->age;
        $room_value;
        if ($age<15) {
            $room_value=AdditionalController::Give_Labratory_Room('children');
        }


        else{
            $room_value=AdditionalController::Give_Labratory_Room('adult');
        }


        $save=Daily_labratory::create(['doctor_id'=>$doctor_id,'clinic_id'=>$clinic_id,'labratory_room'=>$room_value,'ins_fr_do_lab'=>$request['Labratory_Instruction']]);

        if($save){
            return redirect()->route('Doctors.Show_Patient_List')->with('Message_Success','Sended To '.$room_value);

         }

        else
          {
            return redirect()->route('Doctors.Show_Patient_List')->with('Message_Warning','There is Data base error');
          }

    }

    public function Finish_Result($clinic_id){
        $find=SendPatient::where('patient_id',$clinic_id)->whereDate('created_at',Carbon::today())->orderBy('id','desc')->whereNull('mark')->first();

        $find->mark=1;
        $save=$find->save();
        if($save){
            return redirect()->route('Doctors.Show_Patient_List')->with('Message_Success','Patient Task finished In This Room');
        }

        else{
            return redirect()->route('Doctors.Show_Patient_List')->with('Message_Warning','There Is Database Error');
        }

    }

    public function Submit_To_Labratory($clinic_id){
        
    }
}

app/Http/Controllers/Doctors/ProfileController.php
<?php

namespace App\Http\Controllers\Doctors;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Clinic\RoomController;
class ProfileController extends Controller
{
	
    public function ShowProfile(){
    	$username=Auth::guard('Doctors')->user()->username;
        $patient_number=app('App\Http\Controllers\Clinic\RoomController',['Doctors']);
        $patient_number=$patient_number->number_of_patient;
    	return view('Doctors/Profile',['patient_number'=>$patient_number]);
    }
}

resources/views/Doctors/Add_Patient_result.blade.php
@extends('Doctors.Home')
@section('Sub_Content')
@parent
<div class="container" style="margin-top: 3%;">
	<div class="form-group">
		<form method="POST" action="{{route('Doctors.Submit_Result',['usrname'=>$username,'clinic_id'=>$clinic_id])}}">
			@csrf
			<label for="add_patient_result">Your result or Patient Sign</label>
			<textarea class="form-control" style="width: 40rem;height: 20rem;" id="add_patient_result" name="Patient_Data" autofocus="autofocus">
			</textarea><br>
			<button class="btn btn-outline-success" type="submit">Add</button>
		</form>
	</div>
</div>
@endsection

resources/views/Doctors/Home.blade.php
@extends('ClinicLayout.Main')
@section('tittle','Doctors')
@section('content')
<div class="container-fluid">
	@section('Sub_Content')
	<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Astu Cms</a>
  <a class="nav-link" href="{{route('Home')}}">Home<span class="sr-only">(current)</span></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
    
      
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      

      <li class="nav-item">
        <a href="{{route('Doctors.Show_Patient_List')}}" class="nav-link" role="button"  tabindex="-1">TodayPatient<span class="badge badge-pill badge-light" style="float: right;">{{$patient_number}}</span></a>
      </li>
      
      <li class="nav-item">
        <a href="#" class="nav-link" tabindex="-1">labratory result</a>
      <li class="nav-item">
        <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
      </li>
    </ul>
    <form class="form-inline mr-auto">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" autofocus>
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
    <div class="mr-5 dropdown">
    	<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span> {{Auth::guard('Doctors')->user()->username}}</span>
          <i class="fas fa-user"></i>
    	
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
          <a class="dropdown-item" href="{{route('Doctors.LogOut',['id'=>Auth::guard('Doctors')->user()->username])}}">LogOut</a>
          <a class="dropdown-item" href="{{route('Doctors.Profile',['id'=>Auth::guard('Doctors')->user()->username])}}">Profile</a>
    </div>
  </div>
</nav>
@show
</div>

@endsection

resources/views/Doctors/Labratory_Paper.blade.php
@extends('Doctors.Home')
@section('Sub_Content')
@parent
<div class="container">
	 <div class="container" style="width: 30em;margin-top: 5%;">
	 	<div class="card card-block">
	 		<div class="card-header">
	 			<span class="text-info text-center">Labratory instruction Paper</span>
	 		</div>
	 		<div class="card-body">
	 			<div class="form-group">
	 				<form method="GET" action="{{route('Doctors.Send_To_Labratory',['doctor_id'=>Auth::guard('Doctors')->user()->username,'clinic_id'=>$clinic_id])}}">
	 					<label for="Labratory_Instruction">write here</label>
	 					<textarea class="form-control" name="Labratory_Instruction" id="Labratory_Instruction"></textarea><br>
	 					<button class="btn btn-success">Send</button>
	 				</form>
	 			</div>
	 		</div>
	 	</div>
	 </div>
</div>
@endsection

resources/views/Doctors/PatientList.blade.php
@extends('Doctors.Home')
@section('Sub_Content')
@parent
<div class="container" style="margin-top: 10px;">
	@if(Session::has('Message_Success'))
	 <div class="alert alert bg-success text-white ">
	 	{{Session::get('Message_Success')}}
	 </div>
	@endif

	@if(Session::has('Message_Warning'))
	 <div class="alert text-center bg-danger">
	 	{{Session::get('Message_Warning')}}
	 </div>
	@endif

	<div class="row">
		<div class="col-9" >
			<div class="list-group list-unstyled" class="mr-2">
				@if(count($Patient_List)>0)
				  @foreach($Patient_List as $Patient)
				   <div class="list-group-item">{{$Patient->first_name.' '.$Patient->last_name.' '.$Patient->grand_name}}
				   	<span class="badge badge-default" style="float: right; margin-right: 5px;"><a href="{{route('Doctors.View_Patient_Data',['id1'=>Auth::guard('Doctors')->user()->username,'id2'=>$Patient->clinic_id])}}" class="btn btn-light">View</a></span>
				   	
                   <span class="badge badge-default" style="float: right; margin-right: 5px;"><a href="{{route('Doctors.Show_Medicine_Paper',['clinic_id'=>$Patient->clinic_id])}}" class="btn btn-light">Send To Phermacy</a></span>

                   <span class="badge badge-default" style="float: right; margin-right: 5px;"><a href="{{route('Doctors.Labratory_Paper',['clinic_id'=>$Patient->clinic_id])}}" class="btn btn-light">Send To Labratory</a></span>
				   	

				   	
                  <span class="badge badge-default" style="float: right; margin-right: 5px;"><a  href="{{route('Doctors.Finish_Result',['clinic_id'=>$Patient->clinic_id])}}" class="btn btn-light">finished</a></span>
				   	

				   </div>
				@endforeach
			</div>
			<br>
			<div>
				{{$Patient_List->links()}}
				<span class="text-info" style="float: right;">Total Number Of Patients {{$patient_number}} </span>
			</div>
			@else
			No Patient Now!!
			@endif
		</div>
	</div>
</div>

@endsection

resources/views/Doctors/Profile.blade.php
@extends('Doctors.Home')
@section('Sub_Content')
@parent
<div class="container">
	<div class="row">
		<div class="col-md-8 col-sm-12">
			<div class="card">
				<div class="card-header text-center">
					Profile
				</div>
				<div class="card-body">
					<img src="{{asset(Auth::guard('Doctors')->user()->photo)}}" class="rounded-circle card-img-top " style="width: 40%; height: 40%;" alt="user photo">

					<ul class="list-group list-unstyled">
						<li class="list-group-item"><b>Full Name</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->full_name}}</span></li>

						<li class="list-group-item"><b>E-mail</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->email}}</span></li>

						<li class="list-group-item"><b>Username</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->username}}</span></li>
						
						<li class="list-group-item"><b>Graduated_in</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->graduated_college_university}}</span></li>

						<li class="list-group-item"><b>Area of Studies</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->graduated_area}}</span></li>

						<li class="list-group-item"><b>sex</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->sex}}</span></li>

						<li class="list-group-item"><b>Age</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->age}}</span></li>

						<li class="list-group-item"><b>graduated_status</b><span class="badge" style="float: right;">{{Auth::guard('Doctors')->user()->graduated_status}}</span></li>
					</ul>
				</div>	
			</div>
		</div>
	</div>
@endsection

resources/views/Doctors/SelectRoom.blade.php
@extends('ClinicLayout.Main')
@section('tittle','selectroom')
@section('content')
<div class="container" style="margin-top: 5%;">
	<div class="row">
		<div class="col-md-3">
			<div class="card">
				<div class="card-body">
					<div class="card-block">
						<div class="form-group">
							<form method="GET" action="{{route('Doctors.SelectRoom')}}">
								<label for="room_name">Select Room</label>
								<select class="form-control" id="room_name" name="room">
									@foreach($room as $single)
									<option>{{$single->room_name}}</option>
									@endforeach
								</select><br>
								<button class="btn btn-primary" type="submit">Submit</button>
							</form>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
@endsection

resources/views/Doctors/ShowPatientData.blade.php
@extends('Doctors.Home')
@section('Sub_Content')
@parent
<div class="container" style="margin-top: 5%">
	@if(count($patient_data)>0)
	@foreach($patient_data as $patient)
	 <div class="row justify-content-center">
	 	<div class="col col-md-8">
	 		<div class="card card-info">
	 			 <div class="card-header">
	 			 	<span class="text-info">result for patient</span> {{$patient_info->first_name.' '.$patient_info->last_name.' '}} <span class="text-info">on </span>{{$patient->created_at}}
	 			 </div>
	 			 <div class="card-body">
	 			 	<div class="card-text text-center">
	 			 		{{$patient->patient_result}}
	 			 	</div>
	 			 </div>
	 			 <div class="card-footer"><span class="text-info">written by {{App\Doctors::find($patient->doctor_id)->full_name}}</span></div>
	 		</div>
	 		<br>
	 	</div>
	 </div>
	@endforeach
	<a href="{{route('Doctors.Add_Patient_result',['username'=>$doctor_info->username,'clinic_id'=>$patient_info->clinic_id])}}" class="btn btn-outline-info btn-block" style="margin-bottom: 3%;">Add Your own</a>
	@else
	<p class="text-info">This Patient is new  to this clinic</p>
	<a href="{{route('Doctors.Add_Patient_result',['username'=>$doctor_info->username,'clinic_id'=>$patient_info->clinic_id])}}">Add your Result</a>

	@endif
</div>

@endsection

resources/views/Doctors/Show_Medicine_Paper.blade.php
@extends('Doctors.Home')
@section('Sub_Content')
@parent
<div class="container">
	 <div class="container" style="width: 30em;margin-top: 5%;">
	 	<div class="card card-block">
	 		<div class="card-header">
	 			<span class="text-info text-center">medical instruction</span>
	 		</div>
	 		<div class="card-body">
	 			<div class="form-group">
	 				<form method="GET" action="{{route('Doctors.Send_To_Phermacy',['doctor_id'=>Auth::guard('Doctors')->user()->username,'clinic_id'=>$clinic_id])}}">
	 					<label for="medical_instruction">write here</label>
	 					<textarea class="form-control" name="medical_instruction" id="medical_instruction"></textarea><br>
	 					<button class="btn btn-success">Send</button>
	 				</form>
	 			</div>
	 		</div>
	 	</div>
	 </div>
</div>
@endsection